Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.util.config
Class PortConfigOption

    java.lang.Object
      net.hyperic.util.config.ConfigOption
          net.hyperic.util.config.IntegerConfigOption
              net.hyperic.util.config.PortConfigOption

All Implemented Interfaces:
  java.io.Serializable

public class PortConfigOption
extends IntegerConfigOption

See Also:
  Serialized Form

Constructor Summary
`PortConfigOption(java.lang.String optName, java.lang.String optDesc, int defValue)`
`PortConfigOption(java.lang.String optName, java.lang.String optDesc, java.lang.Integer defValue)`

Method Summary
`void` `checkOptionIsValid(java.lang.String value)`

Methods inherited from class net.hyperic.util.config.IntegerConfigOption
`getMaxValue, getMinValue, getTransport, setMaxValue, setMinValue`

Methods inherited from class net.hyperic.util.config.ConfigOption
`equals, getDefault, getDescription, getName, getTransport, hashCode, isOptional, setDefault, setOptional, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortConfigOption

    public PortConfigOption(java.lang.String optName,
                            java.lang.String optDesc,
                            java.lang.Integer defValue)

### PortConfigOption

    public PortConfigOption(java.lang.String optName,
                            java.lang.String optDesc,
                            int defValue)

Method Detail

### checkOptionIsValid

    public void checkOptionIsValid(java.lang.String value)
                            throws InvalidOptionValueException

  Overrides:
    `checkOptionIsValid` in class `IntegerConfigOption`
  Throws:
    `InvalidOptionValueException`

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.